<?php

include('../../path.php');

require_once(ROOT_CONFIG);



    class configuracion_app

    {

        public function insert_configuracion_app($Logo_APP, $Logo_Fav_Icon, $Titulo_App, $Descripcion_Login_App,$Contenido_Inicio,$Img_Inicio,$Modulo_Inicio,$Habilitar_Formulario_Registro, $Correo_Api, $Password_Correo_Api, $Password_Correo_Api_Encrypt, $Stripe_Api_Key, $Stripe_Client, $Mercado_Pago_Api_Key, $Mercado_pago_Client, $Usuario_Api_SMS, $Password_Api_SMS, $Password_Api_SMS_Encrypt,$Id_Fk_Rol,$Fecha_Registro, $Fecha_Modifico)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($Contenido_Inicio=='Imagen'){

            $consulta="INSERT INTO configuracion_app_appquadrata(Logo_APP, Logo_Fav_Icon, Titulo_App, Descripcion_Login_App,Contenido_Inicio,Img_Inicio, Habilitar_Formulario_Registro,Correo_Api, Password_Correo_Api, Password_Correo_Api_Encrypt, Stripe_Api_Key, Stripe_Client, Mercado_Pago_Api_Key, Mercado_pago_Client, Usuario_Api_SMS, Password_Api_SMS, Password_Api_SMS_Encrypt,Id_Fk_Rol, Fecha_Registro, Fecha_Modifico) VALUES ('$Logo_APP', '$Logo_Fav_Icon', '$Titulo_App', '$Descripcion_Login_App','$Contenido_Inicio','$Img_Inicio','$Habilitar_Formulario_Registro', '$Correo_Api', '$Password_Correo_Api', '$Password_Correo_Api_Encrypt', '$Stripe_Api_Key', '$Stripe_Client', '$Mercado_Pago_Api_Key', '$Mercado_pago_Client', '$Usuario_Api_SMS', '$Password_Api_SMS', '$Password_Api_SMS_Encrypt','$Id_Fk_Rol', '$Fecha_Registro', '$Fecha_Modifico') ";



            }else if($Contenido_Inicio=='Modulo'){

            $consulta="INSERT INTO configuracion_app_appquadrata(Logo_APP, Logo_Fav_Icon, Titulo_App, Descripcion_Login_App,Contenido_Inicio,Modulo_Inicio,Habilitar_Formulario_Registro, Correo_Api, Password_Correo_Api, Password_Correo_Api_Encrypt, Stripe_Api_Key, Stripe_Client, Mercado_Pago_Api_Key, Mercado_pago_Client, Usuario_Api_SMS, Password_Api_SMS, Password_Api_SMS_Encrypt,Id_Fk_Rol, Fecha_Registro, Fecha_Modifico) VALUES ('$Logo_APP', '$Logo_Fav_Icon', '$Titulo_App', '$Descripcion_Login_App','$Contenido_Inicio','Modulo_Inicio','$Habilitar_Formulario_Registro', '$Correo_Api', '$Password_Correo_Api', '$Password_Correo_Api_Encrypt', '$Stripe_Api_Key', '$Stripe_Client', '$Mercado_Pago_Api_Key', '$Mercado_pago_Client', '$Usuario_Api_SMS', '$Password_Api_SMS', '$Password_Api_SMS_Encrypt', '$Id_Fk_Rol','$Fecha_Registro', '$Fecha_Modifico') ";



            }

            $conexion->query($consulta);

            $whatsmyid=$conexion->insert_id;

            $conexion->close();

            return $whatsmyid;

        }



        public function get_configuracion_app()

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT *,  count(*) as numregis FROM configuracion_app_appquadrata ORDER BY Id_Configuracion_App DESC";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function get_configuracion_apppg($inicio,$TAMANO_PAGINA)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM configuracion_app ORDER BY Id_Configuracion_App_appquadrata DESC  LIMIT $inicio, $TAMANO_PAGINA";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function update_configuracion_app($Id_Configuracion_App, $Logo_APP, $Logo_Fav_Icon, $Titulo_App, $Descripcion_Login_App,$Contenido_Inicio,$Img_Inicio,$Modulo_Inicio,$Habilitar_Formulario_Registro, $Correo_Api, $Password_Correo_Api, $Password_Correo_Api_Encrypt, $Stripe_Api_Key, $Stripe_Client, $Mercado_Pago_Api_Key, $Mercado_pago_Client, $Usuario_Api_SMS, $Password_Api_SMS, $Password_Api_SMS_Encrypt,$Id_Fk_Rol, $Fecha_Registro, $Fecha_Modifico)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($Contenido_Inicio=='Imagen'){

            $consulta="UPDATE configuracion_app_appquadrata SET Id_Configuracion_App='$Id_Configuracion_App', Logo_APP='$Logo_APP', Logo_Fav_Icon='$Logo_Fav_Icon', Titulo_App='$Titulo_App', Descripcion_Login_App='$Descripcion_Login_App',Contenido_Inicio='$Contenido_Inicio',Img_Inicio='$Img_Inicio', Habilitar_Formulario_Registro='$Habilitar_Formulario_Registro',Correo_Api='$Correo_Api', Password_Correo_Api='$Password_Correo_Api', Password_Correo_Api_Encrypt='$Password_Correo_Api_Encrypt', Stripe_Api_Key='$Stripe_Api_Key', Stripe_Client='$Stripe_Client', Mercado_Pago_Api_Key='$Mercado_Pago_Api_Key', Mercado_pago_Client='$Mercado_pago_Client', Usuario_Api_SMS='$Usuario_Api_SMS', Password_Api_SMS='$Password_Api_SMS', Password_Api_SMS_Encrypt='$Password_Api_SMS_Encrypt',Id_Fk_Rol='$Id_Fk_Rol', Fecha_Registro='$Fecha_Registro', Fecha_Modifico='$Fecha_Modifico' WHERE Id_Configuracion_App = '$Id_Configuracion_App'";



            }else if($Contenido_Inicio=='Modulo'){

            $consulta="UPDATE configuracion_app_appquadrata SET Id_Configuracion_App='$Id_Configuracion_App', Logo_APP='$Logo_APP', Logo_Fav_Icon='$Logo_Fav_Icon', Titulo_App='$Titulo_App', Descripcion_Login_App='$Descripcion_Login_App',Contenido_Inicio='$Contenido_Inicio',Modulo_Inicio='$Modulo_Inicio',Habilitar_Formulario_Registro='$Habilitar_Formulario_Registro', Correo_Api='$Correo_Api', Password_Correo_Api='$Password_Correo_Api', Password_Correo_Api_Encrypt='$Password_Correo_Api_Encrypt', Stripe_Api_Key='$Stripe_Api_Key', Stripe_Client='$Stripe_Client', Mercado_Pago_Api_Key='$Mercado_Pago_Api_Key', Mercado_pago_Client='$Mercado_pago_Client', Usuario_Api_SMS='$Usuario_Api_SMS', Password_Api_SMS='$Password_Api_SMS', Password_Api_SMS_Encrypt='$Password_Api_SMS_Encrypt',Id_Fk_Rol='$Id_Fk_Rol', Fecha_Registro='$Fecha_Registro', Fecha_Modifico='$Fecha_Modifico' WHERE Id_Configuracion_App = '$Id_Configuracion_App'";

            }

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            return $rowaffected;

        }



        public function delete_configuracion_app($Id_Configuracion_App)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="DELETE FROM configuracion_app_appquadrata WHERE Id_Configuracion_App='$Id_Configuracion_App'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            return $rowaffected;

        }



        //Funciones adicionales.

        public function getorderby_configuracion_app($Nombre,$Orderby)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT *,  count(*) as numregis FROM configuracion_app_appquadrata ORDER BY $Nombre $Orderby";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function getorderby_configuracion_apppg($Nombre,$Orderby,$inicio,$TAMANO_PAGINA)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM configuracion_app_appquadrata ORDER BY $Nombre $Orderby  LIMIT $inicio, $TAMANO_PAGINA";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function getbyid_configuracion_app($Id_Configuracion_App)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM configuracion_app_appquadrata WHERE Id_Configuracion_App='$Id_Configuracion_App' ORDER BY Id_Configuracion_App DESC";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function search_configuracion_app($Buscar)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT *, count(*) as numregis FROM configuracion_app_appquadrata WHERE Id_Configuracion_App LIKE '%$Buscar%' || Logo_APP LIKE '%$Buscar%' || Logo_Fav_Icon LIKE '%$Buscar%' || Titulo_App LIKE '%$Buscar%' || Descripcion_Login_App LIKE '%$Buscar%' || Correo_Api LIKE '%$Buscar%' || Password_Correo_Api LIKE '%$Buscar%' || Password_Correo_Api_Encrypt LIKE '%$Buscar%' || Stripe_Api_Key LIKE '%$Buscar%' || Stripe_Client LIKE '%$Buscar%' || Mercado_Pago_Api_Key LIKE '%$Buscar%' || Mercado_pago_Client LIKE '%$Buscar%' || Usuario_Api_SMS LIKE '%$Buscar%' || Password_Api_SMS LIKE '%$Buscar%' || Password_Api_SMS_Encrypt LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Fecha_Modifico LIKE '%$Buscar%' ORDER BY Id_Configuracion_App DESC";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function search_configuracion_apppg($Buscar,$inicio,$TAMANO_PAGINA)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM configuracion_app_appquadrata WHERE Id_Configuracion_App LIKE '%$Buscar%' || Logo_APP LIKE '%$Buscar%' || Logo_Fav_Icon LIKE '%$Buscar%' || Titulo_App LIKE '%$Buscar%' || Descripcion_Login_App LIKE '%$Buscar%' || Correo_Api LIKE '%$Buscar%' || Password_Correo_Api LIKE '%$Buscar%' || Password_Correo_Api_Encrypt LIKE '%$Buscar%' || Stripe_Api_Key LIKE '%$Buscar%' || Stripe_Client LIKE '%$Buscar%' || Mercado_Pago_Api_Key LIKE '%$Buscar%' || Mercado_pago_Client LIKE '%$Buscar%' || Usuario_Api_SMS LIKE '%$Buscar%' || Password_Api_SMS LIKE '%$Buscar%' || Password_Api_SMS_Encrypt LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Fecha_Modifico LIKE '%$Buscar%' ORDER BY Id_Configuracion_App DESC  LIMIT $inicio, $TAMANO_PAGINA";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function searchbyparameter_configuracion_app($Parametro,$Buscar)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM configuracion_app_appquadrata WHERE $Parametro LIKE '%$Buscar%' ORDER BY Id_Configuracion_App DESC";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }

  

        public function execute_configuracion_app($query)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $Array_adapter=$conexion->query($query);

            $conexion->close();

            return $Array_adapter;

        }



        public function update_field_configuracion_app($Field,$Value,$Id_Configuracion_App)

        {

            $Valueinto=strtoupper($Value);

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE configuracion_app_appquadrata SET $Field='$Valueinto' WHERE Id_Configuracion_App= '$Id_Configuracion_App'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            return $rowaffected;                          

        }



}



?>